Mailboxes
Create a mailbox note
Adds an internal note to a thread and returns it with status 201. Notes are visible to everyone on the mailbox and never sent.
Adds an internal note to a thread and returns it with status 201. Notes are visible to everyone on the mailbox and never sent.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*string
Match
^thread_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body*string
color?string|null|null
pinned?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/threads/string/notes" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "id": "string", "author": { "kind": "user", "id": "string", "displayName": "string" }, "body": "string", "color": "string", "pinned": true, "createdAt": "string", "updatedAt": "string"}